{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>my projects</h1>
            <p>
                <a href="{% url 'create_project' %}">create a new project</a>
            </p>
            {% if projects|length == 0 %}
                <p>you are not assigned to any projects.</p>
            {% else %}
            <div class="fancy">
                <table class='styled-table'>
                    <thead>
                        <th>name</th>
                        <th>number of tasks</th>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <tr>
                                <td>
                                    <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
            {% endif %}
        </div>
    </main>
{% endblock content %}
